#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    int t,d;
    cin>>t;
    for(int c=0;c<t;c++){
    long a,b,k;
    cin>>a>>b;
for(k=1;k<=a/2;k++){
    d=0;
    if(a%k==0){
            d=k^(a/k);
        if(d==b){
            break;
        }
    }
}
    if(a%k==0){
        if(d==b){
            cout<<k<<" "<<a/k<<endl;
        }
        else{
            cout<<-1<<endl;
        }
    }
    else{
            cout<<-1<<endl;

    }
    }
}